<?php
// ini_set('display_errors',1);
require_once ("../../config/Cado.php");
require_once("cDocumento.php");
$oDocumento = new cDocumento();

if($_POST['action_documento']=="insertar"){
	if(!empty($_POST['txt_doc_nom']))
	{
		$oDocumento->insertar($_POST['txt_doc_abr'], $_POST['txt_doc_nom'], $_POST['cmb_mod_id'],$_POST['chk_doc_def']);
		echo 'Se registró documento correctamente.';
	}
	else
	{
		echo 'Intentelo nuevamente.';
	}
}

if($_POST['action_documento']=="editar"){
	if(!empty($_POST['txt_doc_nom'])){
		$oDocumento->modificar($_POST['hdd_doc_id'],$_POST['txt_doc_abr'],$_POST['txt_doc_nom'], $_POST['cmb_mod_id'],$_POST['chk_doc_def']);
		echo 'Se registró documento correctamente.';
	}else{
		echo 'Intentelo nuevamente.';
	}
}

if($_POST['action']=="eliminar")
{
	if(!empty($_POST['id']))
	{		 
			$oDocumento->eliminar($_POST['id']);
			echo 'Se eliminó documento correctamente.';	 
	}
	else
	{
		echo 'Intentelo nuevamente.';
	}
}
?>